Bug 30390 - Bad directory search path for fonts.
Summary: Bad directory search path for fonts.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-02 22:25 UTC by D. Stimits
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 22:25:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description D. Stimits 2001-03-02 22:25:39 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.15-config.2 i686)


XFree86 is looking for font directory:
/usr/share/fonts/defaults/
                                     ^
Actual directory is singular:
/usr/share/fonts/default/

A second directory also does not exist, it is an extension to the prior
directory:
/usr/share/fonts/defaults/TrueTypex
                                      ^                 ^
The actual directory available for this is:
/usr/share/fonts/default/TrueType/

Reproducible: Always
Steps to Reproduce:
1. Install Redhat 7.1 beta (Fisher)
2. X error messages may be found that indicate missing font paths.

	

Actual Results:  Directories indicated by error messages don't exist;
similarly named (but slightly different
directories) do exist.

Expected Results:  Actual directory names should match what X is searching
for.

The following symbolic links removed further error messages:
/usr/share/fonts/default/ was given a symbolic link to:
/usr/share/fonts/defaults/

/usr/share/fonts/default/TrueType/ was given a symbolic link to:
/usr/share/fonts/defaults/TrueTypex/

Comment 1 Mike A. Harris 2001-03-03 01:43:11 UTC
This bug was fixed long ago.


Note You need to log in before you can comment on or make changes to this bug.